import{s as re,n as ce,o as me}from"../chunks/scheduler.7bc62968.js";import{S as de,i as ue,g as o,s as n,r as Z,A as fe,h as l,f as i,c as s,j as ee,u as te,x as r,k as ie,y as pe,a,v as ae,d as ne,t as se,w as oe}from"../chunks/index.66556066.js";import{H as le}from"../chunks/Heading.3f0870db.js";function he(R){let c,T,C,S,m,P,d,U="What are generative vision models and how do they differ from other models?",$,u,j=`Mathematical models can generally be separated into two large families, generative models and discriminative models.
The main difference between discriminative models and generative models is that discriminative models learn boundaries that separate different classes,  while generative models learn the distribution of different classes.`,L,f,B=`Discriminative models can be applied to standard computer vision tasks such as classification and regression,
these tasks can be expanded into more complex processes such as semantic segmentation or object detection.`,D,p,W="For the sake of brevity, in this chapter, we will consider generative models that solve these tasks:",M,h,X="<li>noise to image (DCGAN)</li> <li>text to image (diffusion models)</li> <li>image to image (StyleGAN, cycleGAN, diffusion models)</li>",F,v,J="This section will cover 2 kinds of generative models. GAN-based models, and diffusion-based models.",H,g,N,x,K="Generally, it is really hard to come up with meaningful metrics for evaluating generative models. Because often you don’t have a solid “ground truth”, and it is difficult to quantify the quality of an image. FID is the most commonly used metric, but it is not perfect.",k,y,O='Let’s quickly go over FID. FID stands for Fréchet Inception Distance, it is an improvement on the Inception Score and was introduced in <a href="https://arxiv.org/pdf/1706.08500.pdf" rel="nofollow">GANs Trained by a Two Time-Scale Update Rule Converge to a Local Nash Equilibrium</a>. FID is considered to be resistant to noise and certain artifacts that can be present in generated images. The lower the FID, the better.',q,w,Q='It is calculated by constructing 2 distributions from the Inception-v3 features. The first distribution is calculated from the training data features, and the second distribution is calculated from the generated image features. Then the  Fréchet distance between these 2 distributions is calculated, and that is your FID score. The lower this score, the better the perceived quality of the generated images. Here is a <a href="https://www.youtube.com/watch?v=9zTwSzXxNDo&amp;t=398s" rel="nofollow">short explanation</a> on FID.',A,I,V="Some other metrics you might come across are SSIM, PSNR, IS(Inception Score), and the recently introduced CLIP Score.",E,b,Y='<li><p>PSNR (peak signal-to-noise ratio) can be interpreted almost as mean-squared-error. Generally, values from [25,34] are okay results while 34+ is very good.</p></li> <li><p>SSIM (Structural Similarity Index) is a metric in the range [0, 1] where 1 is a perfect match. The final index is calculated from 3 components: luminance, contrast, and structure. <a href="https://arxiv.org/pdf/2006.13846.pdf" rel="nofollow">this paper</a> analyzes SSIM and its components if you’re really interested</p></li> <li><p>Inception score was introduced in <a href="https://arxiv.org/pdf/1606.03498.pdf" rel="nofollow">Improved Techniques for Training GANs</a>. It is calculated using the features on the inceptionv3 model. The higher the better. It is a mathematically very interesting metric, but has recently fallen out of favor.</p></li> <li><p>CLIP Score, this metric was introduced in <a href="https://arxiv.org/pdf/2104.08718.pdf" rel="nofollow">CLIPScore: A Reference-free Evaluation Metric for Image Captioning</a> is used to evaluate the quality of text to image models. It is calculated by using the CLIP model to calculate the cosine similarity between the generated image and the text prompt. Its range is [0, 100], the higher the better.</p> <p>If you’re <em>really curious</em> about FID. <a href="https://arxiv.org/pdf/2203.06026.pdf" rel="nofollow">The Role of ImageNet Classes in Fréchet Inception Distance</a> tries to analyze what FID considers important in an image, and how the features pretrained on imagenet affect the FID score. It is a very interesting read.</p></li>',G,_,z;return m=new le({props:{title:"Introduction",local:"introduction",headingTag:"h1"}}),g=new le({props:{title:"Evaluation of generative models in computer vision",local:"evaluation-of-generative-models-in-computer-vision",headingTag:"h2"}}),{c(){c=o("meta"),T=n(),C=o("p"),S=n(),Z(m.$$.fragment),P=n(),d=o("p"),d.textContent=U,$=n(),u=o("p"),u.textContent=j,L=n(),f=o("p"),f.textContent=B,D=n(),p=o("p"),p.textContent=W,M=n(),h=o("ul"),h.innerHTML=X,F=n(),v=o("p"),v.textContent=J,H=n(),Z(g.$$.fragment),N=n(),x=o("p"),x.textContent=K,k=n(),y=o("p"),y.innerHTML=O,q=n(),w=o("p"),w.innerHTML=Q,A=n(),I=o("p"),I.textContent=V,E=n(),b=o("ul"),b.innerHTML=Y,G=n(),_=o("p"),this.h()},l(e){const t=fe("svelte-u9bgzb",document.head);c=l(t,"META",{name:!0,content:!0}),t.forEach(i),T=s(e),C=l(e,"P",{}),ee(C).forEach(i),S=s(e),te(m.$$.fragment,e),P=s(e),d=l(e,"P",{"data-svelte-h":!0}),r(d)!=="svelte-a9gcyb"&&(d.textContent=U),$=s(e),u=l(e,"P",{"data-svelte-h":!0}),r(u)!=="svelte-laczus"&&(u.textContent=j),L=s(e),f=l(e,"P",{"data-svelte-h":!0}),r(f)!=="svelte-12t5as0"&&(f.textContent=B),D=s(e),p=l(e,"P",{"data-svelte-h":!0}),r(p)!=="svelte-11051fc"&&(p.textContent=W),M=s(e),h=l(e,"UL",{"data-svelte-h":!0}),r(h)!=="svelte-1g76a1s"&&(h.innerHTML=X),F=s(e),v=l(e,"P",{"data-svelte-h":!0}),r(v)!=="svelte-wz5sfs"&&(v.textContent=J),H=s(e),te(g.$$.fragment,e),N=s(e),x=l(e,"P",{"data-svelte-h":!0}),r(x)!=="svelte-j77g8n"&&(x.textContent=K),k=s(e),y=l(e,"P",{"data-svelte-h":!0}),r(y)!=="svelte-l9c3ik"&&(y.innerHTML=O),q=s(e),w=l(e,"P",{"data-svelte-h":!0}),r(w)!=="svelte-13se1tm"&&(w.innerHTML=Q),A=s(e),I=l(e,"P",{"data-svelte-h":!0}),r(I)!=="svelte-xc2bb6"&&(I.textContent=V),E=s(e),b=l(e,"UL",{"data-svelte-h":!0}),r(b)!=="svelte-1f2w74u"&&(b.innerHTML=Y),G=s(e),_=l(e,"P",{}),ee(_).forEach(i),this.h()},h(){ie(c,"name","hf:doc:metadata"),ie(c,"content",ve)},m(e,t){pe(document.head,c),a(e,T,t),a(e,C,t),a(e,S,t),ae(m,e,t),a(e,P,t),a(e,d,t),a(e,$,t),a(e,u,t),a(e,L,t),a(e,f,t),a(e,D,t),a(e,p,t),a(e,M,t),a(e,h,t),a(e,F,t),a(e,v,t),a(e,H,t),ae(g,e,t),a(e,N,t),a(e,x,t),a(e,k,t),a(e,y,t),a(e,q,t),a(e,w,t),a(e,A,t),a(e,I,t),a(e,E,t),a(e,b,t),a(e,G,t),a(e,_,t),z=!0},p:ce,i(e){z||(ne(m.$$.fragment,e),ne(g.$$.fragment,e),z=!0)},o(e){se(m.$$.fragment,e),se(g.$$.fragment,e),z=!1},d(e){e&&(i(T),i(C),i(S),i(P),i(d),i($),i(u),i(L),i(f),i(D),i(p),i(M),i(h),i(F),i(v),i(H),i(N),i(x),i(k),i(y),i(q),i(w),i(A),i(I),i(E),i(b),i(G),i(_)),i(c),oe(m,e),oe(g,e)}}}const ve='{"title":"Introduction","local":"introduction","sections":[{"title":"Evaluation of generative models in computer vision","local":"evaluation-of-generative-models-in-computer-vision","sections":[],"depth":2}],"depth":1}';function ge(R){return me(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ie extends de{constructor(c){super(),ue(this,c,ge,he,re,{})}}export{Ie as component};
