import{s as Li,n as Pi,o as zi}from"../chunks/scheduler.7bc62968.js";import{S as Oi,i as _i,g as a,s as l,r as s,A as Ii,h as r,f as i,c as o,j as ki,u as p,x as g,k as Hi,y as Ni,a as n,v as m,d as f,t as d,w as u}from"../chunks/index.66556066.js";import{C as Pe}from"../chunks/CodeBlock.a759539a.js";import{H as $}from"../chunks/Heading.3f0870db.js";function Ri(Jt){let h,_e,ze,Ie,w,Ne,v,Re,T,Fe,c,Zt=`The TensorFlow Model Optimization Toolkit is a suite of tools for optimizing machine learning models for deployment.
The TensorFlow Lite post-training quantization tool enable users to convert weights to 8 bit precision which reduces the trained model size by about 4 times.
The tools also include API for pruning and quantization during training is post-training quantization is insufficient.
These help user to reduce latency and inference cost, deploy models to edge devices with restricted resources and optimized execution for existing hardware or new special purpose accelerators`,Se,b,Ue,x,Bt="The Tensorflow Model Optimization Toolkit is available as a pip package, <code>tensorflow-model-optimization</code>. To install the package, run the following command:",qe,y,Ge,C,We,M,Dt='For a hands-on guide on how to use the Tensorflow Model Optimization Toolkit, refer this <a href="https://colab.research.google.com/drive/1t1Tq6i0JZbOwloyhkSjg8uTTVX9iUkgj#scrollTo=D_MCHp6cwCFb" rel="nofollow">notebook</a>',je,k,Ae,H,Ee,L,Kt=`For optimizing model, pyTorch supports INT8 quantization compared to typical FP32 models which leads to 4x reduction in the model size and a 4x reduction in memory bandwidth requirements.
PyTorch supports multiple approaches to quantizing a deep learning model which are as follows:`,Xe,P,Qt="<li>Model is trained in FP32 and then the model is converted to INT8.</li> <li>Quantization aware training, where models quantization errors in both the forward and backward passes using fake-quantization modules.</li> <li>Represent quantized tensors and perform operations with them. They can be used to directly construct models that perform all or part of the computation in lower precision.</li>",Ve,z,Yt='For more details on quantization in PyTorch, see <a href="https://pytorch.org/docs/stable/quantization.html" rel="nofollow">here</a>',Je,O,Ze,_,ei="Pytorch quantization is available as API in the pytorch package. To use it simple install pytorch and import the quantization API as follows:",Be,I,De,N,Ke,R,ti='For a hands-on guide on how to use the Pytorch Quantization, refer this [notebook](<a href="https://colab.research.google.com/drive/1toyS6IUsFvjuSK71oeLZZ51mm8hVnlZv" rel="nofollow">https://colab.research.google.com/drive/1toyS6IUsFvjuSK71oeLZZ51mm8hVnlZv</a>',Qe,F,Ye,S,et,U,ii=`ONNX Runtime is a cross-platform machine-learning model accelerator, with a flexible interface to integrate hardware-specific libraries.
ONNX Runtime can be used with models from PyTorch, Tensorflow/Keras, TFLite, scikit-learn, and other frameworks.
The benefits of using ONNX Runtime for Inferencing are as follows:`,tt,q,ni="<li>Improve inference performance for a wide variety of ML models</li> <li>Run on different hardware and operating systems</li> <li>Train in Python but deploy into a C#/C++/Java app</li> <li>Train and perform inference with models created in different frameworks</li>",it,G,li='For more details on ONNX Runtime, see <a href="https://onnxruntime.ai/docs/" rel="nofollow">here</a>',nt,W,lt,j,oi=`ONNX Runtime has 2 python package and only one of these packages should be installed at a time in any one environment.
Use the GPU package if you want to use ONNX Runtime with GPU support.
The python package for ONNX Runtime is available as a pip package. To install the package, run the following command:`,ot,A,at,E,ai="For GPU version, run the following command:",rt,X,st,V,pt,J,ri='For a hands-on guide on how to use the ONNX Runtime, refer this <a href="https://colab.research.google.com/drive/1A-qYPX52V2q-7fXHaLeNRJqPUk3a4Qkd" rel="nofollow">notebook</a>',mt,Z,ft,B,dt,D,si=`NVIDIA® TensorRT™ is an SDK for optimizing trained deep learning models to enable high-performance inference.
TensorRT contains a deep learning inference optimizer for trained deep learning models, and a runtime for execution.
After user have trained their deep learning model in a framework of their choice, TensorRT enables user to run it with higher throughput and lower latency.`,ut,K,gt,Q,pi="TensorRT is available as a pip package, <code>tensorrt</code>. To install the package, run the following command:",$t,Y,ht,ee,mi='for other installation methods, see <a href="https://docs.nvidia.com/deeplearning/tensorrt/quick-start-guide/index.html#install" rel="nofollow">here</a>',wt,te,vt,ie,fi='For a hands-on guide on how to use the TensorRT, refer this <a href="https://colab.research.google.com/drive/1b8ueEEwgRc9fGqky1f6ZPx5A2ak82FE1" rel="nofollow">notebook</a>',Tt,ne,ct,le,bt,oe,di=`The OpenVINO™ toolkit enables user to optimize a deep learning model from almost any framework and deploy it with best-in-class performance on a range of Intel® processors and other hardware platforms.
The benefits of using OpenVINO includes:`,xt,ae,ui="<li>link directly with OpenVINO Runtime to run inference locally or use OpenVINO Model Server to serve model inference from a separate server or within Kubernetes environment</li> <li>Write an application once, deploy it anywhere on your preferred device, language and OS.</li> <li>has minimal external dependencies</li> <li>Reduces first-inference latency by using the CPU for initial inference and then switching to another device once the model has been compiled and loaded to memory</li>",yt,re,Ct,se,gi="Openvino is available as a pip package, <code>openvino</code>. To install the package, run the following command:",Mt,pe,kt,me,$i='For other installation methods, see <a href="https://docs.openvino.ai/2023.2/openvino_docs_install_guides_overview.html?VERSION=v_2023_2_0&amp;OP_SYSTEM=LINUX&amp;DISTRIBUTION=ARCHIVE" rel="nofollow">here</a>',Ht,fe,Lt,de,hi='For a hands-on guide on how to use the OpenVINO, refer this <a href="https://colab.research.google.com/drive/1FWD0CloFt6gIEd0WBSMBDDKzA7YUE8Wz" rel="nofollow">notebook</a>',Pt,ue,zt,ge,Ot,$e,wi=`Optimum serves as an extension of <a href="https://huggingface.co/docs/transformers" rel="nofollow">Transformers</a>, offering a suite of tools designed for optimizing performance in training and
running models on specific hardware, ensuring maximum efficiency. In the rapidly evolving AI landscape, specialized hardware and unique optimizations continue to emerge regularly.
Optimum empowers developers to seamlessly leverage these diverse platforms, maintaining the ease of use inherent in Transformers.
Platforms suppoerted by optimum as of now are:`,_t,he,vi='<li><a href="https://huggingface.co/docs/optimum/habana/index" rel="nofollow">Habana</a></li> <li><a href="https://huggingface.co/docs/optimum/intel/index" rel="nofollow">Intel</a></li> <li><a href="https://github.com/huggingface/optimum-nvidia" rel="nofollow">Nvidia</a></li> <li><a href="https://huggingface.co/docs/optimum-neuron/index" rel="nofollow">AWS Trainium and Inferentia</a></li> <li><a href="https://huggingface.co/docs/optimum/amd/index" rel="nofollow">AMD</a></li> <li><a href="https://huggingface.co/docs/optimum/furiosa/index" rel="nofollow">FuriosaAI</a></li> <li><a href="https://huggingface.co/docs/optimum/onnxruntime/overview" rel="nofollow">ONNX Runtime</a></li> <li><a href="https://huggingface.co/docs/optimum/bettertransformer/overview" rel="nofollow">BetterTransformer</a></li>',It,we,Nt,ve,Ti="Optimum is available as a pip package, <code>optimum</code>. To install the package, run the following command:",Rt,Te,Ft,ce,ci='For installation of accelerator-specific features, see <a href="https://huggingface.co/docs/optimum/installation" rel="nofollow">here</a>',St,be,Ut,xe,bi='For a hands-on guide on how to use Optimum for quantization, refer this <a href="https://colab.research.google.com/drive/1tz4eHqSZzGlXXS3oBUc2NRbuRCn2HjdN" rel="nofollow">notebook</a>',qt,ye,Gt,Ce,Wt,Me,xi=`Edge TPU is Google’s purpose-built ASIC designed to run AI at the edge. It delivers high performance in a small physical and power footprint, enabling the deployment of high-accuracy AI at the edge.
The benefits of using EdgeTPU includes:`,jt,ke,yi="<li>Complements Cloud TPU and Google Cloud services to provide an end-to-end, cloud-to-edge, hardware + software infrastructure for AI-based solutions deployment</li> <li>High performance in a small physical and power footprint</li> <li>Combined custom hardware, open software, and state-of-the-art AI algorithms to provide high-quality, easy to deploy AI solutions for the edge.</li>",At,He,Ci='For more details on EdgeTPU, see <a href="https://cloud.google.com/edge-tpu" rel="nofollow">here</a>',Et,Le,Mi='For guide on how to setup and use EdgeTPU, refer this <a href="https://colab.research.google.com/drive/1aMEZE2sI9aMLLBVJNSS37ltMwmtEbMKl" rel="nofollow">notebook</a>',Xt,Oe,Vt;return w=new $({props:{title:"Model optimization tools and frameworks",local:"model-optimization-tools-and-frameworks",headingTag:"h1"}}),v=new $({props:{title:"Tensorflow Model optimization Toolkit (TMO)",local:"tensorflow-model-optimization-toolkit-tmo",headingTag:"h2"}}),T=new $({props:{title:"Overview",local:"overview",headingTag:"h3"}}),b=new $({props:{title:"Setup guide",local:"setup-guide",headingTag:"h3"}}),y=new Pe({props:{code:"cGlwJTIwaW5zdGFsbCUyMC1VJTIwdGVuc29yZmxvdy1tb2RlbC1vcHRpbWl6YXRpb24=",highlighted:'pip <span class="hljs-keyword">install</span> -U tensorflow-model-optimization',wrap:!1}}),C=new $({props:{title:"Hands-on guide",local:"hands-on-guide",headingTag:"h3"}}),k=new $({props:{title:"Pytorch Quantization",local:"pytorch-quantization",headingTag:"h2"}}),H=new $({props:{title:"Overview",local:"overview",headingTag:"h3"}}),O=new $({props:{title:"Setup guide",local:"setup-guide",headingTag:"h3"}}),I=new Pe({props:{code:"cGlwJTIwaW5zdGFsbCUyMHRvcmNoJTBBaW1wb3J0JTIwdG9yY2gucXVhbnRpemF0aW9u",highlighted:`<span class="hljs-title">pip</span> install torch
<span class="hljs-keyword">import</span> torch.quantization`,wrap:!1}}),N=new $({props:{title:"Hands-on guide",local:"hands-on-guide",headingTag:"h2"}}),F=new $({props:{title:"ONNX Runtime",local:"onnx-runtime",headingTag:"h2"}}),S=new $({props:{title:"Overview",local:"overview",headingTag:"h3"}}),W=new $({props:{title:"Setup guide",local:"setup-guide",headingTag:"h3"}}),A=new Pe({props:{code:"cGlwJTIwaW5zdGFsbCUyMG9ubnhydW50aW1l",highlighted:'pip <span class="hljs-keyword">install</span> onnxruntime',wrap:!1}}),X=new Pe({props:{code:"cGlwJTIwaW5zdGFsbCUyMG9ubnhydW50aW1lLWdwdQ==",highlighted:'pip <span class="hljs-keyword">install</span> onnxruntime-gpu',wrap:!1}}),V=new $({props:{title:"Hands-on guide",local:"hands-on-guide",headingTag:"h3"}}),Z=new $({props:{title:"TensorRT",local:"tensorrt",headingTag:"h2"}}),B=new $({props:{title:"Overview",local:"overview",headingTag:"h3"}}),K=new $({props:{title:"Setup guide",local:"setup-guide",headingTag:"h3"}}),Y=new Pe({props:{code:"cGlwJTIwaW5zdGFsbCUyMHRlbnNvcnJ0",highlighted:'pip <span class="hljs-keyword">install</span> tensorrt',wrap:!1}}),te=new $({props:{title:"Hands-on guide",local:"hands-on-guide",headingTag:"h3"}}),ne=new $({props:{title:"OpenVINO",local:"openvino",headingTag:"h2"}}),le=new $({props:{title:"Overview",local:"overview",headingTag:"h3"}}),re=new $({props:{title:"Setup guide",local:"setup-guide",headingTag:"h3"}}),pe=new Pe({props:{code:"cGlwJTIwaW5zdGFsbCUyMG9wZW52aW5v",highlighted:'pip <span class="hljs-keyword">install</span> openvino',wrap:!1}}),fe=new $({props:{title:"Hands-on guide",local:"hands-on-guide",headingTag:"h3"}}),ue=new $({props:{title:"Optimum",local:"optimum",headingTag:"h2"}}),ge=new $({props:{title:"Overview",local:"overview",headingTag:"h3"}}),we=new $({props:{title:"Setup guide",local:"setup-guide",headingTag:"h3"}}),Te=new Pe({props:{code:"cGlwJTIwaW5zdGFsbCUyMG9wdGltdW0=",highlighted:'pip <span class="hljs-keyword">install</span> optimum',wrap:!1}}),be=new $({props:{title:"Hands-on guide",local:"hands-on-guide",headingTag:"h3"}}),ye=new $({props:{title:"EdgeTPU",local:"edgetpu",headingTag:"h2"}}),Ce=new $({props:{title:"Overview",local:"overview",headingTag:"h3"}}),{c(){h=a("meta"),_e=l(),ze=a("p"),Ie=l(),s(w.$$.fragment),Ne=l(),s(v.$$.fragment),Re=l(),s(T.$$.fragment),Fe=l(),c=a("p"),c.textContent=Zt,Se=l(),s(b.$$.fragment),Ue=l(),x=a("p"),x.innerHTML=Bt,qe=l(),s(y.$$.fragment),Ge=l(),s(C.$$.fragment),We=l(),M=a("p"),M.innerHTML=Dt,je=l(),s(k.$$.fragment),Ae=l(),s(H.$$.fragment),Ee=l(),L=a("p"),L.textContent=Kt,Xe=l(),P=a("ol"),P.innerHTML=Qt,Ve=l(),z=a("p"),z.innerHTML=Yt,Je=l(),s(O.$$.fragment),Ze=l(),_=a("p"),_.textContent=ei,Be=l(),s(I.$$.fragment),De=l(),s(N.$$.fragment),Ke=l(),R=a("p"),R.innerHTML=ti,Qe=l(),s(F.$$.fragment),Ye=l(),s(S.$$.fragment),et=l(),U=a("p"),U.textContent=ii,tt=l(),q=a("ul"),q.innerHTML=ni,it=l(),G=a("p"),G.innerHTML=li,nt=l(),s(W.$$.fragment),lt=l(),j=a("p"),j.textContent=oi,ot=l(),s(A.$$.fragment),at=l(),E=a("p"),E.textContent=ai,rt=l(),s(X.$$.fragment),st=l(),s(V.$$.fragment),pt=l(),J=a("p"),J.innerHTML=ri,mt=l(),s(Z.$$.fragment),ft=l(),s(B.$$.fragment),dt=l(),D=a("p"),D.textContent=si,ut=l(),s(K.$$.fragment),gt=l(),Q=a("p"),Q.innerHTML=pi,$t=l(),s(Y.$$.fragment),ht=l(),ee=a("p"),ee.innerHTML=mi,wt=l(),s(te.$$.fragment),vt=l(),ie=a("p"),ie.innerHTML=fi,Tt=l(),s(ne.$$.fragment),ct=l(),s(le.$$.fragment),bt=l(),oe=a("p"),oe.textContent=di,xt=l(),ae=a("ul"),ae.innerHTML=ui,yt=l(),s(re.$$.fragment),Ct=l(),se=a("p"),se.innerHTML=gi,Mt=l(),s(pe.$$.fragment),kt=l(),me=a("p"),me.innerHTML=$i,Ht=l(),s(fe.$$.fragment),Lt=l(),de=a("p"),de.innerHTML=hi,Pt=l(),s(ue.$$.fragment),zt=l(),s(ge.$$.fragment),Ot=l(),$e=a("p"),$e.innerHTML=wi,_t=l(),he=a("ol"),he.innerHTML=vi,It=l(),s(we.$$.fragment),Nt=l(),ve=a("p"),ve.innerHTML=Ti,Rt=l(),s(Te.$$.fragment),Ft=l(),ce=a("p"),ce.innerHTML=ci,St=l(),s(be.$$.fragment),Ut=l(),xe=a("p"),xe.innerHTML=bi,qt=l(),s(ye.$$.fragment),Gt=l(),s(Ce.$$.fragment),Wt=l(),Me=a("p"),Me.textContent=xi,jt=l(),ke=a("ul"),ke.innerHTML=yi,At=l(),He=a("p"),He.innerHTML=Ci,Et=l(),Le=a("p"),Le.innerHTML=Mi,Xt=l(),Oe=a("p"),this.h()},l(e){const t=Ii("svelte-u9bgzb",document.head);h=r(t,"META",{name:!0,content:!0}),t.forEach(i),_e=o(e),ze=r(e,"P",{}),ki(ze).forEach(i),Ie=o(e),p(w.$$.fragment,e),Ne=o(e),p(v.$$.fragment,e),Re=o(e),p(T.$$.fragment,e),Fe=o(e),c=r(e,"P",{"data-svelte-h":!0}),g(c)!=="svelte-1me1l8v"&&(c.textContent=Zt),Se=o(e),p(b.$$.fragment,e),Ue=o(e),x=r(e,"P",{"data-svelte-h":!0}),g(x)!=="svelte-179jdom"&&(x.innerHTML=Bt),qe=o(e),p(y.$$.fragment,e),Ge=o(e),p(C.$$.fragment,e),We=o(e),M=r(e,"P",{"data-svelte-h":!0}),g(M)!=="svelte-8pdlh"&&(M.innerHTML=Dt),je=o(e),p(k.$$.fragment,e),Ae=o(e),p(H.$$.fragment,e),Ee=o(e),L=r(e,"P",{"data-svelte-h":!0}),g(L)!=="svelte-1c9pg73"&&(L.textContent=Kt),Xe=o(e),P=r(e,"OL",{"data-svelte-h":!0}),g(P)!=="svelte-vdgwbj"&&(P.innerHTML=Qt),Ve=o(e),z=r(e,"P",{"data-svelte-h":!0}),g(z)!=="svelte-197gxwz"&&(z.innerHTML=Yt),Je=o(e),p(O.$$.fragment,e),Ze=o(e),_=r(e,"P",{"data-svelte-h":!0}),g(_)!=="svelte-c0fswj"&&(_.textContent=ei),Be=o(e),p(I.$$.fragment,e),De=o(e),p(N.$$.fragment,e),Ke=o(e),R=r(e,"P",{"data-svelte-h":!0}),g(R)!=="svelte-11pnpw0"&&(R.innerHTML=ti),Qe=o(e),p(F.$$.fragment,e),Ye=o(e),p(S.$$.fragment,e),et=o(e),U=r(e,"P",{"data-svelte-h":!0}),g(U)!=="svelte-126giqx"&&(U.textContent=ii),tt=o(e),q=r(e,"UL",{"data-svelte-h":!0}),g(q)!=="svelte-eg6d7l"&&(q.innerHTML=ni),it=o(e),G=r(e,"P",{"data-svelte-h":!0}),g(G)!=="svelte-1903gj"&&(G.innerHTML=li),nt=o(e),p(W.$$.fragment,e),lt=o(e),j=r(e,"P",{"data-svelte-h":!0}),g(j)!=="svelte-ey7nvx"&&(j.textContent=oi),ot=o(e),p(A.$$.fragment,e),at=o(e),E=r(e,"P",{"data-svelte-h":!0}),g(E)!=="svelte-1ktucuj"&&(E.textContent=ai),rt=o(e),p(X.$$.fragment,e),st=o(e),p(V.$$.fragment,e),pt=o(e),J=r(e,"P",{"data-svelte-h":!0}),g(J)!=="svelte-1i4oh5k"&&(J.innerHTML=ri),mt=o(e),p(Z.$$.fragment,e),ft=o(e),p(B.$$.fragment,e),dt=o(e),D=r(e,"P",{"data-svelte-h":!0}),g(D)!=="svelte-17idhxm"&&(D.textContent=si),ut=o(e),p(K.$$.fragment,e),gt=o(e),Q=r(e,"P",{"data-svelte-h":!0}),g(Q)!=="svelte-ap1fh1"&&(Q.innerHTML=pi),$t=o(e),p(Y.$$.fragment,e),ht=o(e),ee=r(e,"P",{"data-svelte-h":!0}),g(ee)!=="svelte-17jadf6"&&(ee.innerHTML=mi),wt=o(e),p(te.$$.fragment,e),vt=o(e),ie=r(e,"P",{"data-svelte-h":!0}),g(ie)!=="svelte-195we7m"&&(ie.innerHTML=fi),Tt=o(e),p(ne.$$.fragment,e),ct=o(e),p(le.$$.fragment,e),bt=o(e),oe=r(e,"P",{"data-svelte-h":!0}),g(oe)!=="svelte-mh4ae3"&&(oe.textContent=di),xt=o(e),ae=r(e,"UL",{"data-svelte-h":!0}),g(ae)!=="svelte-1n7vlpj"&&(ae.innerHTML=ui),yt=o(e),p(re.$$.fragment,e),Ct=o(e),se=r(e,"P",{"data-svelte-h":!0}),g(se)!=="svelte-n0ajdp"&&(se.innerHTML=gi),Mt=o(e),p(pe.$$.fragment,e),kt=o(e),me=r(e,"P",{"data-svelte-h":!0}),g(me)!=="svelte-1iyzupo"&&(me.innerHTML=$i),Ht=o(e),p(fe.$$.fragment,e),Lt=o(e),de=r(e,"P",{"data-svelte-h":!0}),g(de)!=="svelte-1n6fv6c"&&(de.innerHTML=hi),Pt=o(e),p(ue.$$.fragment,e),zt=o(e),p(ge.$$.fragment,e),Ot=o(e),$e=r(e,"P",{"data-svelte-h":!0}),g($e)!=="svelte-1tqd58k"&&($e.innerHTML=wi),_t=o(e),he=r(e,"OL",{"data-svelte-h":!0}),g(he)!=="svelte-14x2ukl"&&(he.innerHTML=vi),It=o(e),p(we.$$.fragment,e),Nt=o(e),ve=r(e,"P",{"data-svelte-h":!0}),g(ve)!=="svelte-1ef21rr"&&(ve.innerHTML=Ti),Rt=o(e),p(Te.$$.fragment,e),Ft=o(e),ce=r(e,"P",{"data-svelte-h":!0}),g(ce)!=="svelte-zxoq09"&&(ce.innerHTML=ci),St=o(e),p(be.$$.fragment,e),Ut=o(e),xe=r(e,"P",{"data-svelte-h":!0}),g(xe)!=="svelte-lu9r8v"&&(xe.innerHTML=bi),qt=o(e),p(ye.$$.fragment,e),Gt=o(e),p(Ce.$$.fragment,e),Wt=o(e),Me=r(e,"P",{"data-svelte-h":!0}),g(Me)!=="svelte-fnz1ur"&&(Me.textContent=xi),jt=o(e),ke=r(e,"UL",{"data-svelte-h":!0}),g(ke)!=="svelte-mk96iw"&&(ke.innerHTML=yi),At=o(e),He=r(e,"P",{"data-svelte-h":!0}),g(He)!=="svelte-1vsiith"&&(He.innerHTML=Ci),Et=o(e),Le=r(e,"P",{"data-svelte-h":!0}),g(Le)!=="svelte-5c2t7"&&(Le.innerHTML=Mi),Xt=o(e),Oe=r(e,"P",{}),ki(Oe).forEach(i),this.h()},h(){Hi(h,"name","hf:doc:metadata"),Hi(h,"content",Fi)},m(e,t){Ni(document.head,h),n(e,_e,t),n(e,ze,t),n(e,Ie,t),m(w,e,t),n(e,Ne,t),m(v,e,t),n(e,Re,t),m(T,e,t),n(e,Fe,t),n(e,c,t),n(e,Se,t),m(b,e,t),n(e,Ue,t),n(e,x,t),n(e,qe,t),m(y,e,t),n(e,Ge,t),m(C,e,t),n(e,We,t),n(e,M,t),n(e,je,t),m(k,e,t),n(e,Ae,t),m(H,e,t),n(e,Ee,t),n(e,L,t),n(e,Xe,t),n(e,P,t),n(e,Ve,t),n(e,z,t),n(e,Je,t),m(O,e,t),n(e,Ze,t),n(e,_,t),n(e,Be,t),m(I,e,t),n(e,De,t),m(N,e,t),n(e,Ke,t),n(e,R,t),n(e,Qe,t),m(F,e,t),n(e,Ye,t),m(S,e,t),n(e,et,t),n(e,U,t),n(e,tt,t),n(e,q,t),n(e,it,t),n(e,G,t),n(e,nt,t),m(W,e,t),n(e,lt,t),n(e,j,t),n(e,ot,t),m(A,e,t),n(e,at,t),n(e,E,t),n(e,rt,t),m(X,e,t),n(e,st,t),m(V,e,t),n(e,pt,t),n(e,J,t),n(e,mt,t),m(Z,e,t),n(e,ft,t),m(B,e,t),n(e,dt,t),n(e,D,t),n(e,ut,t),m(K,e,t),n(e,gt,t),n(e,Q,t),n(e,$t,t),m(Y,e,t),n(e,ht,t),n(e,ee,t),n(e,wt,t),m(te,e,t),n(e,vt,t),n(e,ie,t),n(e,Tt,t),m(ne,e,t),n(e,ct,t),m(le,e,t),n(e,bt,t),n(e,oe,t),n(e,xt,t),n(e,ae,t),n(e,yt,t),m(re,e,t),n(e,Ct,t),n(e,se,t),n(e,Mt,t),m(pe,e,t),n(e,kt,t),n(e,me,t),n(e,Ht,t),m(fe,e,t),n(e,Lt,t),n(e,de,t),n(e,Pt,t),m(ue,e,t),n(e,zt,t),m(ge,e,t),n(e,Ot,t),n(e,$e,t),n(e,_t,t),n(e,he,t),n(e,It,t),m(we,e,t),n(e,Nt,t),n(e,ve,t),n(e,Rt,t),m(Te,e,t),n(e,Ft,t),n(e,ce,t),n(e,St,t),m(be,e,t),n(e,Ut,t),n(e,xe,t),n(e,qt,t),m(ye,e,t),n(e,Gt,t),m(Ce,e,t),n(e,Wt,t),n(e,Me,t),n(e,jt,t),n(e,ke,t),n(e,At,t),n(e,He,t),n(e,Et,t),n(e,Le,t),n(e,Xt,t),n(e,Oe,t),Vt=!0},p:Pi,i(e){Vt||(f(w.$$.fragment,e),f(v.$$.fragment,e),f(T.$$.fragment,e),f(b.$$.fragment,e),f(y.$$.fragment,e),f(C.$$.fragment,e),f(k.$$.fragment,e),f(H.$$.fragment,e),f(O.$$.fragment,e),f(I.$$.fragment,e),f(N.$$.fragment,e),f(F.$$.fragment,e),f(S.$$.fragment,e),f(W.$$.fragment,e),f(A.$$.fragment,e),f(X.$$.fragment,e),f(V.$$.fragment,e),f(Z.$$.fragment,e),f(B.$$.fragment,e),f(K.$$.fragment,e),f(Y.$$.fragment,e),f(te.$$.fragment,e),f(ne.$$.fragment,e),f(le.$$.fragment,e),f(re.$$.fragment,e),f(pe.$$.fragment,e),f(fe.$$.fragment,e),f(ue.$$.fragment,e),f(ge.$$.fragment,e),f(we.$$.fragment,e),f(Te.$$.fragment,e),f(be.$$.fragment,e),f(ye.$$.fragment,e),f(Ce.$$.fragment,e),Vt=!0)},o(e){d(w.$$.fragment,e),d(v.$$.fragment,e),d(T.$$.fragment,e),d(b.$$.fragment,e),d(y.$$.fragment,e),d(C.$$.fragment,e),d(k.$$.fragment,e),d(H.$$.fragment,e),d(O.$$.fragment,e),d(I.$$.fragment,e),d(N.$$.fragment,e),d(F.$$.fragment,e),d(S.$$.fragment,e),d(W.$$.fragment,e),d(A.$$.fragment,e),d(X.$$.fragment,e),d(V.$$.fragment,e),d(Z.$$.fragment,e),d(B.$$.fragment,e),d(K.$$.fragment,e),d(Y.$$.fragment,e),d(te.$$.fragment,e),d(ne.$$.fragment,e),d(le.$$.fragment,e),d(re.$$.fragment,e),d(pe.$$.fragment,e),d(fe.$$.fragment,e),d(ue.$$.fragment,e),d(ge.$$.fragment,e),d(we.$$.fragment,e),d(Te.$$.fragment,e),d(be.$$.fragment,e),d(ye.$$.fragment,e),d(Ce.$$.fragment,e),Vt=!1},d(e){e&&(i(_e),i(ze),i(Ie),i(Ne),i(Re),i(Fe),i(c),i(Se),i(Ue),i(x),i(qe),i(Ge),i(We),i(M),i(je),i(Ae),i(Ee),i(L),i(Xe),i(P),i(Ve),i(z),i(Je),i(Ze),i(_),i(Be),i(De),i(Ke),i(R),i(Qe),i(Ye),i(et),i(U),i(tt),i(q),i(it),i(G),i(nt),i(lt),i(j),i(ot),i(at),i(E),i(rt),i(st),i(pt),i(J),i(mt),i(ft),i(dt),i(D),i(ut),i(gt),i(Q),i($t),i(ht),i(ee),i(wt),i(vt),i(ie),i(Tt),i(ct),i(bt),i(oe),i(xt),i(ae),i(yt),i(Ct),i(se),i(Mt),i(kt),i(me),i(Ht),i(Lt),i(de),i(Pt),i(zt),i(Ot),i($e),i(_t),i(he),i(It),i(Nt),i(ve),i(Rt),i(Ft),i(ce),i(St),i(Ut),i(xe),i(qt),i(Gt),i(Wt),i(Me),i(jt),i(ke),i(At),i(He),i(Et),i(Le),i(Xt),i(Oe)),i(h),u(w,e),u(v,e),u(T,e),u(b,e),u(y,e),u(C,e),u(k,e),u(H,e),u(O,e),u(I,e),u(N,e),u(F,e),u(S,e),u(W,e),u(A,e),u(X,e),u(V,e),u(Z,e),u(B,e),u(K,e),u(Y,e),u(te,e),u(ne,e),u(le,e),u(re,e),u(pe,e),u(fe,e),u(ue,e),u(ge,e),u(we,e),u(Te,e),u(be,e),u(ye,e),u(Ce,e)}}}const Fi='{"title":"Model optimization tools and frameworks","local":"model-optimization-tools-and-frameworks","sections":[{"title":"Tensorflow Model optimization Toolkit (TMO)","local":"tensorflow-model-optimization-toolkit-tmo","sections":[{"title":"Overview","local":"overview","sections":[],"depth":3},{"title":"Setup guide","local":"setup-guide","sections":[],"depth":3},{"title":"Hands-on guide","local":"hands-on-guide","sections":[],"depth":3}],"depth":2},{"title":"Pytorch Quantization","local":"pytorch-quantization","sections":[{"title":"Overview","local":"overview","sections":[],"depth":3},{"title":"Setup guide","local":"setup-guide","sections":[],"depth":3}],"depth":2},{"title":"Hands-on guide","local":"hands-on-guide","sections":[],"depth":2},{"title":"ONNX Runtime","local":"onnx-runtime","sections":[{"title":"Overview","local":"overview","sections":[],"depth":3},{"title":"Setup guide","local":"setup-guide","sections":[],"depth":3},{"title":"Hands-on guide","local":"hands-on-guide","sections":[],"depth":3}],"depth":2},{"title":"TensorRT","local":"tensorrt","sections":[{"title":"Overview","local":"overview","sections":[],"depth":3},{"title":"Setup guide","local":"setup-guide","sections":[],"depth":3},{"title":"Hands-on guide","local":"hands-on-guide","sections":[],"depth":3}],"depth":2},{"title":"OpenVINO","local":"openvino","sections":[{"title":"Overview","local":"overview","sections":[],"depth":3},{"title":"Setup guide","local":"setup-guide","sections":[],"depth":3},{"title":"Hands-on guide","local":"hands-on-guide","sections":[],"depth":3}],"depth":2},{"title":"Optimum","local":"optimum","sections":[{"title":"Overview","local":"overview","sections":[],"depth":3},{"title":"Setup guide","local":"setup-guide","sections":[],"depth":3},{"title":"Hands-on guide","local":"hands-on-guide","sections":[],"depth":3}],"depth":2},{"title":"EdgeTPU","local":"edgetpu","sections":[{"title":"Overview","local":"overview","sections":[],"depth":3}],"depth":2}],"depth":1}';function Si(Jt){return zi(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ji extends Oi{constructor(h){super(),_i(this,h,Si,Ri,Li,{})}}export{ji as component};
